
let options = {
    folder_tdata: "",
    diapason_akk: [],
    type_algo: "UseCurrentSession",
};

$('#convert_accaunts').on('click', async function () {
    

    if ($('#UseCurrentSession').is(':checked')) {
        options.type_algo = 'UseCurrentSession';
    } 
    if ($('#CreateNewSession').is(':checked')) {
        options.type_algo = 'CreateNewSession';
    } 
    
    options.folder_tdata = $('#folder_tdata').val()
    clear_log = 0
    let json = JSON.stringify(options);
    let this_class = $(this).hasClass("btn-success");
    if (this_class == true) {
        $(this).removeClass('btn-success');
        $(this).addClass('btn-danger');
        $(this).text("Остановить");
        $('#log li').remove();
        await eel.converter_session_tdata(json)();
    } else {
        $(this).removeClass('btn-danger');
        $(this).addClass('btn-success');
        $(this).text("Конвертировать аккаунты");
        eel.stopped('converter_session_tdata') //<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< ТУТ КНОПКА ОТМЕНИТЬ
    }

});

eel.expose(set_finished_btn);
function set_finished_btn(){
    $('#convert_accaunts').removeClass('btn-danger');
    $('#convert_accaunts').addClass('btn-success');
    $('#convert_accaunts').text("Конвертировать аккаунты");
}

eel.expose(log);
function log(log_line) {
  if (clear_log == 250){
    $('#log li:first').remove();
  } else {clear_log = clear_log + 1}
  $('#log').append('<li>' + log_line + '</li>');
  $('#log_div').scrollTop($('#log_div')[0].scrollHeight);
}

window.addEventListener("beforeunload", function (e) {        
    eel.stopped('converter_session_tdata')
});

$('#select_accounts').on('click', async function () {
    options.diapason_akk = [];
    load_accounts();
});

$('#select_accounts_apply').on('click', async function () {
    $('#select_accounts_modal').modal('hide');
    let from = 1;
    let before = $('#table_users >tbody >tr').length;
    //Запускаем цикл по всей таблице
    for (let i = from; i <= before; i++) {
        let type_bg = $('#table_users tr').eq(i).attr("class");
        if (type_bg == "bg_selected") {
        //Получаем номер телефона
        phone_user = $('#table_users tr').eq(i).children('#phone').html();
        options.diapason_akk.push(phone_user);
        }
    }
    $("#account_num").removeClass('d-none');
    $("#account_num").text(options.diapason_akk.length);
});

function error(text) {
    Swal.fire({
        position: 'center',
        icon: 'error',
        title: 'Ошибка',
        text: text,
        showConfirmButton: false,
        timer: 1900
    })
}